[Forgot Password]
Login  Register Subscribe

24436

 
 

131815

 
 

115228

 
 

909

 
 

90132

 
 

140

Paid content will be excluded from the download.


Download | Alert*
CVE
view XML view JSON

CVE-2017-7870Date: (C)2017-04-14   (M)2018-09-27


LibreOffice before 2017-01-02 has an out-of-bounds write caused by a heap-based buffer overflow related to the tools::Polygon::Insert function in tools/source/generic/poly.cxx.

CVSS Score and Metrics +CVSS Score and Metrics -

CVSS V3 Severity:CVSS V2 Severity:
CVSS Score : 9.8CVSS Score : 7.5
Exploit Score: 3.9Exploit Score: 10.0
Impact Score: 5.9Impact Score: 6.4
 
CVSS V3 Metrics:CVSS V2 Metrics:
Attack Vector: NETWORKAccess Vector: NETWORK
Attack Complexity: LOWAccess Complexity: LOW
Privileges Required: NONEAuthentication: NONE
User Interaction: NONEConfidentiality: PARTIAL
Scope: UNCHANGEDIntegrity: PARTIAL
Confidentiality: HIGHAvailability: PARTIAL
Integrity: HIGH 
Availability: HIGH 
  
Reference:
SECTRACK-1039029
BID-97671
DSA-3837
GLSA-201706-28
RHSA-2017:1975
http://www.libreoffice.org/about-us/security/advisories/cve-2017-7870/
https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=372
https://github.com/LibreOffice/core/commit/62a97e6a561ce65e88d4c537a1b82c336f012722

CPE    1
cpe:/a:libreoffice:libreoffice:5.3.0.0:beta2
CWE    1
CWE-787
OVAL    10
oval:org.secpod.oval:def:703582
oval:org.secpod.oval:def:602860
oval:org.secpod.oval:def:1800918
oval:org.secpod.oval:def:112365
...

© SecPod Technologies